SET(IPOPT_ALGORITHM_C_SOURCES 
    ${IPOPT_SRCDIR}/Algorithm/IpAdaptiveMuUpdate.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpAlgBuilder.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpAlgorithmRegOp.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpAugRestoSystemSolver.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpBacktrackingLineSearch.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpDefaultIterateInitializer.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpEquilibrationScaling.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpExactHessianUpdater.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpFilterLSAcceptor.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpFilter.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpGenAugSystemSolver.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpGradientScaling.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpIpoptAlg.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpIpoptCalculatedQuantities.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpIpoptData.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpIteratesVector.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpLeastSquareMults.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpLimMemQuasiNewtonUpdater.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpLoqoMuOracle.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpLowRankAugSystemSolver.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpLowRankSSAugSystemSolver.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpMonotoneMuUpdate.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpNLPBoundsRemover.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpNLPScaling.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpOptErrorConvCheck.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpOrigIpoptNLP.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpOrigIterationOutput.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpPDFullSpaceSolver.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpPDPerturbationHandler.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpPDSearchDirCalc.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpPenaltyLSAcceptor.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpProbingMuOracle.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpQualityFunctionMuOracle.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoConvCheck.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoFilterConvCheck.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoIpoptNLP.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoIterateInitializer.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoIterationOutput.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoMinC_1Nrm.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoPenaltyConvCheck.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpRestoRestoPhase.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpStdAugSystemSolver.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpTimingStatistics.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpUserScaling.cpp
    ${IPOPT_SRCDIR}/Algorithm/IpWarmStartIterateInitializer.cpp
    )

SET(IPOPT_ALGORITHM_C_HEADER
 ${IpAlgorithm_DIR}/IpAdaptiveMuUpdate.hpp
 ${IpAlgorithm_DIR}/IpAlgBuilder.hpp
 ${IpAlgorithm_DIR}/IpAlgorithmRegOp.hpp
 ${IpAlgorithm_DIR}/IpAlgStrategy.hpp
 ${IpAlgorithm_DIR}/IpAugRestoSystemSolver.hpp
 ${IpAlgorithm_DIR}/IpAugSystemSolver.hpp
 ${IpAlgorithm_DIR}/IpBacktrackingLineSearch.hpp
 ${IpAlgorithm_DIR}/IpBacktrackingLSAcceptor.hpp
 ${IpAlgorithm_DIR}/IpConvCheck.hpp
 ${IpAlgorithm_DIR}/IpDefaultIterateInitializer.hpp
 ${IpAlgorithm_DIR}/IpEqMultCalculator.hpp
 ${IpAlgorithm_DIR}/IpEquilibrationScaling.hpp
 ${IpAlgorithm_DIR}/IpExactHessianUpdater.hpp
 ${IpAlgorithm_DIR}/IpFilter.hpp
 ${IpAlgorithm_DIR}/IpFilterLSAcceptor.hpp
 ${IpAlgorithm_DIR}/IpGenAugSystemSolver.hpp
 ${IpAlgorithm_DIR}/IpGradientScaling.hpp
 ${IpAlgorithm_DIR}/IpHessianUpdater.hpp
 ${IpAlgorithm_DIR}/IpIpoptAlg.hpp
 ${IpAlgorithm_DIR}/IpIpoptCalculatedQuantities.hpp
 ${IpAlgorithm_DIR}/IpIpoptData.hpp
 ${IpAlgorithm_DIR}/IpIpoptNLP.hpp
 ${IpAlgorithm_DIR}/IpIterateInitializer.hpp
 ${IpAlgorithm_DIR}/IpIteratesVector.hpp
 ${IpAlgorithm_DIR}/IpIterationOutput.hpp
 ${IpAlgorithm_DIR}/IpLeastSquareMults.hpp
 ${IpAlgorithm_DIR}/IpLimMemQuasiNewtonUpdater.hpp
 ${IpAlgorithm_DIR}/IpLineSearch.hpp
 ${IpAlgorithm_DIR}/IpLoqoMuOracle.hpp
 ${IpAlgorithm_DIR}/IpLowRankAugSystemSolver.hpp
 ${IpAlgorithm_DIR}/IpLowRankSSAugSystemSolver.hpp
 ${IpAlgorithm_DIR}/IpMonotoneMuUpdate.hpp
 ${IpAlgorithm_DIR}/IpMuOracle.hpp
 ${IpAlgorithm_DIR}/IpMuUpdate.hpp
 ${IpAlgorithm_DIR}/IpNLPBoundsRemover.hpp
 ${IpAlgorithm_DIR}/IpNLPScaling.hpp
 ${IpAlgorithm_DIR}/IpOptErrorConvCheck.hpp
 ${IpAlgorithm_DIR}/IpOrigIpoptNLP.hpp
 ${IpAlgorithm_DIR}/IpOrigIterationOutput.hpp
 ${IpAlgorithm_DIR}/IpPDFullSpaceSolver.hpp
 ${IpAlgorithm_DIR}/IpPDPerturbationHandler.hpp
 ${IpAlgorithm_DIR}/IpPDSearchDirCalc.hpp
 ${IpAlgorithm_DIR}/IpPDSystemSolver.hpp
 ${IpAlgorithm_DIR}/IpPenaltyLSAcceptor.hpp
 ${IpAlgorithm_DIR}/IpProbingMuOracle.hpp
 ${IpAlgorithm_DIR}/IpQualityFunctionMuOracle.hpp
 ${IpAlgorithm_DIR}/IpRestoConvCheck.hpp
 ${IpAlgorithm_DIR}/IpRestoFilterConvCheck.hpp
 ${IpAlgorithm_DIR}/IpRestoIpoptNLP.hpp
 ${IpAlgorithm_DIR}/IpRestoIterateInitializer.hpp
 ${IpAlgorithm_DIR}/IpRestoIterationOutput.hpp
 ${IpAlgorithm_DIR}/IpRestoMinC_1Nrm.hpp
 ${IpAlgorithm_DIR}/IpRestoPenaltyConvCheck.hpp
 ${IpAlgorithm_DIR}/IpRestoPhase.hpp
 ${IpAlgorithm_DIR}/IpRestoRestoPhase.hpp
 ${IpAlgorithm_DIR}/IpSearchDirCalculator.hpp
 ${IpAlgorithm_DIR}/IpStdAugSystemSolver.hpp
 ${IpAlgorithm_DIR}/IpTimingStatistics.hpp
 ${IpAlgorithm_DIR}/IpUserScaling.hpp
 ${IpAlgorithm_DIR}/IpWarmStartIterateInitializer.hpp
)
